SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | List of all members
SLNet::FLP_Printf Class Reference

Implementation of FileListProgress to use RAKNET_DEBUG_PRINTF. More...

`#include <slikenet/FileList.h>`

Inheritance diagram for SLNet::FLP_Printf:

## Public Member Functions

| FLP_Printf ()
virtual | ~FLP_Printf ()
virtual void | OnAddFilesFromDirectoryStarted (FileList *fileList, char *dir)
| First callback called when FileList::AddFilesFromDirectory() starts.
virtual void | OnDirectory (FileList *fileList, char *dir, unsigned int directoriesRemaining)
| Called for each directory, when that directory begins processing.
virtual void | OnFilePushesComplete (SystemAddress systemAddress, unsigned short setID)
| This function is called when all files have been transferred to a particular remote system.
virtual void | OnSendAborted (SystemAddress systemAddress)
| This function is called when a send to a system was aborted (probably due to disconnection)
Public Member Functions inherited from SLNet::FileListProgress
| FileListProgress ()
virtual | ~FileListProgress ()
virtual void | OnFile (FileList *fileList, char *dir, char *fileName, unsigned int fileSize)
| Called for each file, when that file begins processing.
virtual void | OnFilePush (const char *fileName, unsigned int fileLengthBytes, unsigned int offset, unsigned int bytesBeingSent, bool done, SystemAddress targetSystem, unsigned short setId)
| This function is called when we are sending a file to a remote system.

## Detailed Description

Implementation of FileListProgress to use RAKNET_DEBUG_PRINTF.

Definition at line 134 of file FileList.h.

## Constructor & Destructor Documentation

SLNet::FLP_Printf::FLP_Printf | ( |  | ) |

inline

Definition at line 140 of file FileList.h.

virtual SLNet::FLP_Printf::~FLP_Printf | ( |  | ) |

inlinevirtual

Definition at line 141 of file FileList.h.

## Member Function Documentation

virtual void SLNet::FLP_Printf::OnAddFilesFromDirectoryStarted | ( | FileList * | fileList,
|  | char * | dir
| ) |  |

virtual

First callback called when FileList::AddFilesFromDirectory() starts.

Reimplemented from SLNet::FileListProgress.

virtual void SLNet::FLP_Printf::OnDirectory | ( | FileList * | fileList,
|  | char * | dir,
|  | unsigned int | directoriesRemaining
| ) |  |

virtual

Called for each directory, when that directory begins processing.

Reimplemented from SLNet::FileListProgress.

virtual void SLNet::FLP_Printf::OnFilePushesComplete | ( | SystemAddress | systemAddress,
|  | unsigned short | setID
| ) |  |

virtual

This function is called when all files have been transferred to a particular remote system.

Reimplemented from SLNet::FileListProgress.

virtual void SLNet::FLP_Printf::OnSendAborted | ( | SystemAddress | systemAddress | ) |

virtual

This function is called when a send to a system was aborted (probably due to disconnection)

Reimplemented from SLNet::FileListProgress.

The documentation for this class was generated from the following file:

- Source/include/slikenet/FileList.h